# Uses of Class
com.databricks.jdbc.model.core.ResultManifest

Packages that use ResultManifest
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator
com.databricks.jdbc.model.client.sqlexec
com.databricks.jdbc.model.core

## Uses of ResultManifest in com.databricks.jdbc.api.impl

Constructors in com.databricks.jdbc.api.impl with parameters of type ResultManifest
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, ResultData resultData, ResultManifest resultManifest, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
``
`DatabricksResultSetMetaData(StatementId statementId, ResultManifest resultManifest, boolean usesExternalLinks, IDatabricksConnectionContext ctx)`
Constructs a `DatabricksResultSetMetaData` object for a SEA result set.
``
`InlineJsonResult(ResultManifest resultManifest, ResultData resultData)`

## Uses of ResultManifest in com.databricks.jdbc.api.impl.arrow

Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type ResultManifest
Modifier
Constructor
Description
`protected`
`AbstractRemoteChunkProvider(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`
``
`ArrowStreamResult(ResultManifest resultManifest, ResultData resultData, StatementId statementId, IDatabricksSession session)`

## Uses of ResultManifest in com.databricks.jdbc.api.impl.arrow.incubator

Constructors in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type ResultManifest
Modifier
Constructor
Description
``
`RemoteChunkProviderV2(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery)`

## Uses of ResultManifest in com.databricks.jdbc.model.client.sqlexec

Methods in com.databricks.jdbc.model.client.sqlexec that return ResultManifest
Modifier and Type
Method
Description
`ResultManifest`
ExecuteStatementResponse.`getManifest()`
`ResultManifest`
GetStatementResponse.`getManifest()`
Methods in com.databricks.jdbc.model.client.sqlexec with parameters of type ResultManifest
Modifier and Type
Method
Description
`ExecuteStatementResponse`
ExecuteStatementResponse.`setManifest(ResultManifest manifest)`
`GetStatementResponse`
GetStatementResponse.`setManifest(ResultManifest manifest)`

## Uses of ResultManifest in com.databricks.jdbc.model.core

Methods in com.databricks.jdbc.model.core that return ResultManifest
Modifier and Type
Method
Description
`ResultManifest`
ResultManifest.`setChunks(Collection<com.databricks.sdk.service.sql.BaseChunkInfo> chunks)`
`ResultManifest`
ResultManifest.`setFormat(com.databricks.sdk.service.sql.Format format)`
`ResultManifest`
ResultManifest.`setIsVolumeOperation(Boolean isVolumeOperation)`
`ResultManifest`
ResultManifest.`setResultCompression(CompressionCodec resultCompression)`
`ResultManifest`
ResultManifest.`setSchema(ResultSchema schema)`
`ResultManifest`
ResultManifest.`setTotalByteCount(Long totalByteCount)`
`ResultManifest`
ResultManifest.`setTotalChunkCount(Long totalChunkCount)`
`ResultManifest`
ResultManifest.`setTotalRowCount(Long totalRowCount)`
`ResultManifest`
ResultManifest.`setTruncated(Boolean truncated)`